function stop = CLS_timer(x,optimValues,state,tstart,tlim)
% %==========================================================================================
%This is a timer function for fmincon. The first three inputs do not
%affect the function. tstart is the starting time generated by tic, and
%tlim is the maximum allowed time for the fmincon function in seconds.
%==========================================================================================% 
% This ver: 2021/10/16
% Authors: Yifan Li (yifan.li@manchester.ac.uk)
%          Ingmar Nolte (i.nolte@lancaster.ac.uk)
%          Manh Pham (m.c.pham@lancaster.ac.uk)
% Reference: Li, Y., Nolte, I., and Pham, M. C. (2021). Mixture-of-Lognormal 
%           Risk-Neutral Density Estimation Revisited: Asymptotics, Analytical Derivatives,
%           and the Mode Constraint
%========================================================================================== 


stop = false;
if toc(tstart)>tlim
    stop = true;
end 